%define upstream_name    CGI-Buffer
%define upstream_version 0.67

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Optimise the output of a CGI Program
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI::Info) >= 0.110.0
BuildRequires: perl(CSS::Packer)
BuildRequires: perl(Carp)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(DateTime)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Lint)
BuildRequires: perl(HTML::Packer) >= 1.0.0
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(IO::CaptureOutput)
BuildRequires: perl(IO::String)
BuildRequires: perl(JavaScript::Packer) >= 1.6.3
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More) >= 0.820.0
BuildRequires: perl(Time::localtime)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.670.0-2.mga3
+ Revision: 363523
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 shlomif <shlomif> 0.670.0-1.mga3
+ Revision: 309557
- New version 0.67
- New version 0.67

* Mon Oct 15 2012 jquelin <jquelin> 0.660.0-1.mga3
+ Revision: 306060
- update to 0.66

* Mon Oct 01 2012 jquelin <jquelin> 0.650.0-1.mga3
+ Revision: 301259
- update to 0.65

* Wed Sep 26 2012 kharec <kharec> 0.640.0-1.mga3
+ Revision: 297949
- New CPAN version 0.64

* Mon Sep 17 2012 kharec <kharec> 0.610.0-1.mga3
+ Revision: 294894
- New CPAN version 0.41

* Wed Aug 29 2012 kharec <kharec> 0.590.0-1.mga3
+ Revision: 285293
- Add a BR on HTML::Lint
- new version 0.59

* Thu Jul 12 2012 jquelin <jquelin> 0.510.0-1.mga3
+ Revision: 270264
- update to 0.51

* Mon Jun 18 2012 kharec <kharec> 0.490.0-1.mga3
+ Revision: 261480
- imported package perl-CGI-Buffer

